## openssh 6.1p1

=== debian/changelog ===
openssh (1:6.1p1-3) experimental; urgency=low

  * Give ssh and ssh-krb5 versioned dependencies on openssh-client and
    openssh-server, to try to reduce confusion when people run 'apt-get
    install ssh' or similar and expect that to upgrade everything relevant.
  * CVE-2010-5107: Improve DoS resistance by changing default of MaxStartups
    to 10:30:100 (closes: #700102).

 -- Colin Watson <cjwatson@debian.org>  Fri, 08 Feb 2013 21:07:31 +0000

openssh (1:6.1p1-2) experimental; urgency=low

  * Use xz compression for binary packages.
  * Merge from Ubuntu:
    - Add support for registering ConsoleKit sessions on login.  (This is
      currently enabled only when building for Ubuntu.)
    - Drop openssh-blacklist and openssh-blacklist-extra to Suggests.  It's
      been long enough since the relevant vulnerability that we shouldn't
      need these installed by default nowadays.
    - Add an Upstart job (not currently used by default in Debian).
    - Add mention of ssh-keygen in ssh connect warning (Scott Moser).
    - Install apport hooks.
  * Only build with -j if DEB_BUILD_OPTIONS=parallel=* is used (closes:
    #694282).

 -- Colin Watson <cjwatson@debian.org>  Mon, 26 Nov 2012 16:39:07 +0000

openssh (1:6.1p1-1) experimental; urgency=low

  * New upstream release (http://www.openssh.com/txt/release-6.1).
    - Enable pre-auth sandboxing by default for new installs.
    - Allow "PermitOpen none" to refuse all port-forwarding requests
      (closes: #543683).

 -- Colin Watson <cjwatson@debian.org>  Fri, 07 Sep 2012 00:22:44 +0100
