## openssh 6.2p2

=== debian/changelog ===
openssh (1:6.2p2-6ubuntu0.5) saucy; urgency=medium

  * Force ssh-agent Upstart job to use sh syntax regardless of the user's
    shell (thanks, Steffen Stempel; LP: #1312928).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 02 May 2014 09:53:07 +0100

openssh (1:6.2p2-6ubuntu0.4) saucy; urgency=medium

  * Re-enable btmp logging, as its permissions were fixed a long time ago.
    Backport from Debian and Trusty. (LP: #743858)

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Tue, 22 Apr 2014 09:52:59 -0500

openssh (1:6.2p2-6ubuntu0.3) saucy-security; urgency=medium

  * SECURITY UPDATE: failure to check SSHFP records if server presents a
    certificate
    - debian/patches/CVE-2014-2653.patch: fix logic in sshconnect.c.
    - CVE-2014-2653

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 07 Apr 2014 09:32:06 -0400

openssh (1:6.2p2-6ubuntu0.2) saucy-security; urgency=medium

  * SECURITY UPDATE: AcceptEnv wildcard environment restrictions bypass
    - debian/patches/CVE-2014-2532.patch: don't allow invalid chars in
      session.c.
    - CVE-2014-2532

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 21 Mar 2014 10:58:07 -0400

openssh (1:6.2p2-6ubuntu0.1) saucy-security; urgency=low

  * SECURITY UPDATE: code execution via memory corruption when using an
    AES-GCM cipher
    - debian/patches/CVE-2013-4548.patch: properly initialize MAC context
      in monitor_wrap.c.
    - CVE-2013-4548

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 08 Nov 2013 07:55:17 -0500

openssh (1:6.2p2-6) unstable; urgency=low

  * Update config.guess and config.sub automatically at build time.
    dh_autoreconf does not take care of that by default because openssh does
    not use automake.

 -- Colin Watson <cjwatson@debian.org>  Tue, 02 Jul 2013 22:54:49 +0100

openssh (1:6.2p2-5) unstable; urgency=low

  [ Colin Watson ]
  * Document consequences of ssh-agent being setgid in ssh-agent(1); see
    #711623.
  * Use 'set -e' rather than '#! /bin/sh -e' in maintainer scripts and
    ssh-argv0.

  [ Yolanda Robla ]
  * debian/rules: Include real distribution in SSH_EXTRAVERSION instead of
    hardcoding Debian (LP: #1195342).

 -- Colin Watson <cjwatson@debian.org>  Thu, 27 Jun 2013 15:24:14 +0100

openssh (1:6.2p2-4) unstable; urgency=low

  * Fix non-portable shell in ssh-copy-id (closes: #711162).
  * Rebuild against debhelper 9.20130604 with fixed dependencies for
    invoke-rc.d and Upstart jobs (closes: #711159, #711364).
  * Set SELinux context on private host keys as well as public host keys
    (closes: #687436).

 -- Colin Watson <cjwatson@debian.org>  Thu, 06 Jun 2013 17:06:31 +0100

openssh (1:6.2p2-3) unstable; urgency=low

  * If the running init daemon is Upstart, then, on the first upgrade to
    this version, check whether sysvinit is still managing sshd; if so,
    manually stop it so that it can be restarted under upstart.  We do this
    near the end of the postinst, so it shouldn't result in any appreciable
    extra window where sshd is not running during upgrade.

 -- Colin Watson <cjwatson@debian.org>  Wed, 22 May 2013 17:42:10 +0100

openssh (1:6.2p2-2) unstable; urgency=low

  * Change start condition of Upstart job to be just the standard "runlevel
    [2345]", rather than "filesystem or runlevel [2345]"; the latter makes
    it unreasonably difficult to ensure that urandom starts before ssh, and
    is not really necessary since one of static-network-up and failsafe-boot
    is guaranteed to happen and will trigger entry to the default runlevel,
    and we don't care about ssh starting before the network (LP: #1098299).
  * Drop conffile handling for direct upgrades from pre-split ssh package;
    this was originally added in 1:4.3p2-7 / 1:4.3p2-8, and contained a
    truly ghastly hack around a misbehaviour in sarge's dpkg.  Since this is
    now four Debian releases ago, we can afford to drop this and simplify
    the packaging.
  * Remove ssh/use_old_init_script, which was a workaround for a very old
    bug in /etc/init.d/ssh.  If anyone has ignored this for >10 years then
    they aren't going to be convinced now (closes: #214182).
  * Remove support for upgrading directly from ssh-nonfree.
  * Remove lots of maintainer script support for direct upgrades from
    pre-etch (three releases before current stable).
  * Add #DEBHELPER# tokens to openssh-client.postinst and
    openssh-server.postinst.
  * Replace old manual conffile handling code with dpkg-maintscript-helper,
    via dh_installdeb.
  * Switch to new unified layout for Upstart jobs as documented in
    https://wiki.ubuntu.com/UpstartCompatibleInitScripts: the init script
    checks for a running Upstart, and we now let dh_installinit handle most
    of the heavy lifting in maintainer scripts.  Ubuntu users should be
    essentially unaffected except that sshd may no longer start
    automatically in chroots if the running Upstart predates 0.9.0; but the
    main goal is simply not to break when openssh-server is installed in a
    chroot.
  * Remove the check for vulnerable host keys; this was first added five
    years ago, and everyone should have upgraded through a version that
    applied these checks by now.  The ssh-vulnkey tool and the blacklisting
    support in sshd are still here, at least for the moment.
  * This removes the last of our uses of debconf (closes: #221531).
  * Use the pam_loginuid session module (thanks, Laurent Bigonville; closes:
    #677440, LP: #1067779).
  * Bracket our session stack with calls to pam_selinux close/open (thanks,
    Laurent Bigonville; closes: #679458).
  * Fix dh_builddeb invocation so that we really use xz compression for
    binary packages, as intended since 1:6.1p1-2.

 -- Colin Watson <cjwatson@debian.org>  Wed, 22 May 2013 09:07:42 +0100

openssh (1:6.2p2-1) unstable; urgency=low

  * New upstream release (http://www.openssh.com/txt/release-6.2p2):
    - Only warn for missing identity files that were explicitly specified

