=== debian/rules ===
--- 
+++ 
@@ -41,8 +41,9 @@
   endif
 endif
 
-# Change the version string to include the Debian version
-SSH_EXTRAVERSION := Debian-$(shell dpkg-parsechangelog | sed -n -e '/^Version:/s/Version: //p' | sed -e 's/[^-]*-//')
+# Change the version string to reflect distribution
+DISTRIBUTION := $(shell dpkg-vendor --query vendor)
+SSH_EXTRAVERSION := $(DISTRIBUTION)-$(shell dpkg-parsechangelog | sed -n -e '/^Version:/s/Version: //p' | sed -e 's/[^-]*-//')
 
 DISTRIBUTOR := $(shell if dpkg-vendor --derives-from Ubuntu 2>/dev/null; then echo Ubuntu; else echo Debian; fi)
 ifeq ($(DISTRIBUTOR),Ubuntu)
@@ -113,27 +114,20 @@
 confflags_udeb += --with-ldflags='-Wl,--as-needed'
 
 %:
-	dh $@
-
-DISTRIBUTOR_REPLACE := \
-	debian/openssh-server.if-up \
-	debian/openssh-server.ssh.init \
-	debian/openssh-server.postinst \
-	debian/openssh-server.prerm \
-	debian/ssh-krb5.postinst
-
-debian/%: debian/%.in
-	sed 's/@DISTRIBUTOR@/$(DISTRIBUTOR)/g' $< >$@
+	dh $@ --with=autoreconf
+
+autoreconf:
+	autoreconf -f -i
+	cp -f /usr/share/misc/config.guess /usr/share/misc/config.sub ./
+
+override_dh_autoreconf:
+	dh_autoreconf debian/rules -- autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -Bbuild-deb -- $(confflags)
 	dh_auto_configure -Bbuild-udeb -- $(confflags_udeb)
 
 override_dh_auto_build:
-	# Debian's /var/log/btmp has inappropriate permissions.
-	perl -pi -e 's,.*#define USE_BTMP .*,/* #undef USE_BTMP */,' build-deb/config.h
-	perl -pi -e 's,.*#define USE_BTMP .*,/* #undef USE_BTMP */,' build-udeb/config.h
-
 	# Avoid libnsl linkage. Ugh.
 	perl -pi -e 's/ +-lnsl//' build-udeb/config.status
 	cd build-udeb && ./config.status
@@ -157,14 +151,10 @@
 	(cat debian/copyright.head; iconv -f ISO-8859-1 -t UTF-8 LICENCE) \
 		> debian/copyright
 
-override_dh_clean:
-	dh_clean
-	rm -f $(DISTRIBUTOR_REPLACE)
-
 override_dh_auto_install:
 	$(MAKE) -C build-deb DESTDIR=`pwd`/debian/tmp install-nokeys
 
-override_dh_install: $(DISTRIBUTOR_REPLACE)
+override_dh_install:
 	rm -f debian/tmp/etc/ssh/sshd_config
 
 	dh_install -Nopenssh-client-udeb -Nopenssh-server-udeb --fail-missing
@@ -187,6 +177,9 @@
 	install -p -m 644 debian/openssh-client.apport debian/openssh-client/usr/share/apport/package-hooks/openssh-client.py
 	install -p -m 644 debian/openssh-server.apport debian/openssh-server/usr/share/apport/package-hooks/openssh-server.py
 
+	# Upstart user job (only used under user sessions)
+	install -p -m 644 -D debian/ssh-agent.user-session.upstart debian/openssh-client/usr/share/upstart/sessions/ssh-agent.conf
+
 override_dh_installdocs:
 	dh_installdocs -Nopenssh-server -Nssh
 	dh_installdocs -popenssh-server -pssh --link-doc=openssh-client
@@ -194,13 +187,7 @@
 	mkdir -p debian/openssh-server/usr/share/doc/openssh-client
 
 override_dh_installinit:
-	dh_installinit -n --name ssh
-ifeq ($(DISTRIBUTOR),Ubuntu)
-	# We need to keep the init script as well as the Upstart job for
-	# now, for the benefit of people running sshd in chroots.
-	install -D -o root -g root debian/openssh-server.ssh.init debian/openssh-server/etc/init.d/ssh
-	install -D -o root -g root -m 644 debian/openssh-server.ssh.default debian/openssh-server/etc/default/ssh
-endif
+	dh_installinit -R --name ssh -- start 16 2 3 4 5 .
 
 override_dh_installpam:
 	dh_installpam --name sshd
@@ -214,23 +201,24 @@
 	dh_shlibdeps
 	debian/adjust-openssl-dependencies
 
-override_dh_installdeb: $(DISTRIBUTOR_REPLACE)
-	dh_installdeb
-	perl -i debian/substitute-conffile.pl \
-		ETC_SSH_MODULI debian/openssh-client/etc/ssh/moduli \
-		ETC_SSH_SSH_CONFIG debian/openssh-client/etc/ssh/ssh_config \
-		debian/openssh-client/DEBIAN/preinst
-	# Yes, ETC_PAM_D_SSH is meant to be spelled that way, to match the
-	# old configuration file name we need to transfer.
-	perl -i debian/substitute-conffile.pl \
-		ETC_DEFAULT_SSH debian/openssh-server/etc/default/ssh \
-		ETC_INIT_D_SSH debian/openssh-server/etc/init.d/ssh \
-		ETC_PAM_D_SSH debian/openssh-server/etc/pam.d/sshd \
-		debian/openssh-server/DEBIAN/preinst
-
 override_dh_gencontrol:
 	dh_gencontrol -- -V'openssh-server:Recommends=$(server_recommends)'
 
 override_dh_builddeb:
-	dh_builddeb -Zxz
-
+	dh_builddeb -- -Zxz
+
+debian/faq.html:
+	wget -O - http://www.openssh.org/faq.html | \
+		sed 's,\(href="\)\(txt/\|[^":]*\.html\),\1http://www.openssh.org/\2,g' \
+		> debian/faq.html
+
+# You only need to run this immediately after checking out the package from
+# revision control.
+quilt-setup:
+	[ ! -d .pc ]
+	set -e; for patch in $$(quilt series | tac); do \
+		patch -p1 -R --no-backup-if-mismatch <"debian/patches/$$patch"; \
+	done
+	quilt push -a
+
+.PHONY: quilt-setup
