=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
ftp://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/openssh-(.*)\.tar\.gz
